
const pages = [
  {
    path: 'dashboard',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
    }
  },
  {
    path: 'consultant',
    name: 'consultant',
    redirect: 'consultant/list',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '置业管理',
    },
    children: [
      {
        path: 'list',
        name: 'consultant.list',
        component: () => import('./consultant/list.vue'),
        meta: {
          menuShow: true,
          title: '置业列表',
        },
      },
      {
        path: 'edit/:id?',
        name: 'consultant.edit',
        component: () => import('./consultant/edit.vue'),
        meta: {
          menuShow: true,
          title: '置业管理',
        },
      },
    ]
  },
  {
    path: 'project',
    name: 'project',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '项目管理',
    },
    children: [
      {
        path: 'project',
        name: 'project.list',
        component: () => import('./project/list.vue'),
        meta: {
          menuShow: true,
          title: '项目列表',
        },
      },
      {
        path: 'project/edit',
        name: 'projectedit',
        component: () => import('./project/edit.vue'),
        meta: {
          menuShow: false,
          title: '项目编辑',
        },
      },
    ]
  },
  {
    path: 'building',
    name: 'building',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '楼盘设置',
    },
    children: [
      {
        path: 'dynamic',
        name: 'dynamiclist',
        component: () => import('./dynamic/list.vue'),
        meta: {
          menuShow: true,
          title: '项目动态列表',
        },
      },
      {
        path: 'dynamic/edit',
        name: 'dynamicedit',
        component: () => import('./dynamic/edit.vue'),
        meta: {
          menuShow: false,
          title: '项目动态编辑',
        },
      },
      {
        path: 'buildinglist',
        name: 'buildinglist',
        component: () => import('./building/list.vue'),
        meta: {
          menuShow: true,
          title: '楼盘列表',
        },
      },
      {
        path: 'buildingedit',
        name: 'buildingedit',
        component: () => import('./building/edit.vue'),
        meta: {
          menuShow: false,
        },
      }
    ]
  },
  {
    path: 'customer',
    name: 'customer',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '客户管理',
    },
    children: [
      {
        path: 'customerlist',
        name: 'customerlist',
        component: () => import('./customer/list.vue'),
        meta: {
          menuShow: true,
          title: '客户列表',
        }
      },
      {
        path: 'recommendCustomer',
        name: 'recommendCustomer',
        component: () => import('./customer/recommendCustomer.vue'),
        meta: {
          menuShow: true,
          title: '推荐客户',
        }
      },
      {
        path: 'editRecommend',
        name: 'editRecommend',
        component: () => import('./customer/editRecommend.vue'),
        meta: {
          menuShow: false,
          title: '编辑',
        },
      },
      {
        path: 'integralRecord',
        name: 'integralRecord',
        component: () => import('./customer/integralRecord.vue'),
        meta: {
          menuShow: false,
          title: '积分记录',
        },
      },
      {
        path: 'editCustomer',
        name: 'editCustomer',
        component: () => import('./customer/editCustomer.vue'),
        meta: {
          menuShow: false,
          title: '编辑',
        },
      },
    ]
  },
  {
    path: 'carouselFigure',
    name: 'carouselFigure',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '轮播图管理',
    },
    children: [
      {
        path: 'carouselList',
        name: 'carouselList',
        component: () => import('./carouselFigure/list.vue'),
        meta: {
          menuShow: true,
          title: '轮播图列表',
        }
      },
      {
        path: 'editCarousel',
        name: 'editCarousel',
        component: () => import('./carouselFigure/edit.vue'),
        meta: {
          menuShow: false,
          title: '编辑轮播图',
        },
      },
      {
        path: 'advertisement',
        name: 'advertisement',
        component: () => import('./carouselFigure/advertisement.vue'),
        meta: {
          menuShow: true,
          title: '开屏广告',
        }
      },
      {
        path: 'advertisementEdit',
        name: 'advertisementEdit',
        component: () => import('./carouselFigure/advertisementEdit.vue'),
        meta: {
          menuShow: false,
          title: '编辑开屏广告',
        },


      },

    ]
  },
  {

    path: 'systemManagement',
    name: 'systemManagement',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '系统管理',
    },
    children: [
      {
        path: 'pushMessage',
        name: 'pushMessage',
        component: () => import('./systemManagement/pushMessage.vue'),
        meta: {
          menuShow: true,
          title: '推送消息',
        },
      },
      {
        path: 'keyWords',
        name: 'keyWords',
        component: () => import('./systemManagement/keyWords.vue'),
        meta: {
          menuShow: true,
          title: '关键字维护',
        },
      },
    ]
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '资迅管理',
    },
    children: [
      {
        path: '/news/type/list',
        name: 'news-type-list',
        component: () => import('./news/type/index.vue'),
        meta: {
          menuShow: true,
          title: '资迅类型',
        },
      },
      {
        path: '/news/type/edi',
        name: 'news-type-edi',
        component: () => import('./news/type/edi/index.vue'),
        meta: {
          menuShow: false,
          title: '编辑资迅类型',
        },
      },
      {
        path: '/news/list',
        name: 'news-list',
        component: () => import('./news/index.vue'),
        meta: {
          menuShow: true,
          title: '资迅列表',
        },
      },
      {
        path: '/news/edi',
        name: 'news-edi',
        component: () => import('./news/edi/index.vue'),
        meta: {
          menuShow: false,
          title: '编辑资迅',
        },
      },
    ]
  },
  {
    path: 'pointsmall',
    name: 'pointsmall',
    redirect: 'pointsmall/list',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '积分商城',
    },
    children: [
      {
        path: 'list',
        name: 'goods.list',
        component: () => import('./goods/list.vue'),
        meta: {
          menuShow: true,
          title: '商品列表',
        },
      },
      {
        path: 'goods/edit',
        name: 'goods.edit',
        component: () => import('./goods/edit.vue'),
        meta: {
          menuShow: false,
          title: '编辑商品',
        },
      },
      {
        path: 'points/list',
        name: 'points.list',
        component: () => import('./points/list.vue'),
        meta: {
          menuShow: true,
          title: '积分获取',
        },
      },
      {
        path: 'points/edit',
        name: 'points.edit',
        component: () => import('./points/edit.vue'),
        meta: {
          menuShow: false,
          title: '积分编辑',
        },
      },
      {
        path: 'edit/:id?',
        name: 'consultant.edit',
        component: () => import('./consultant/edit.vue'),
        meta: {
          menuShow: true,
          title: '商品核销',
        },
      },
      {
        path: 'edit/:id?',
        name: 'consultant.edit',
        component: () => import('./consultant/edit.vue'),
        meta: {
          menuShow: true,
          title: '兑换记录',
        },
      },
    ]
  },

]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []

    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
